using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10008UploadOpenCode : PackBase
    {
        public override string Action
        {
            get { return "notifyOpencode"; }
        }

        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("lotId");
            jsonWriter.WriteValue(LotId);

            jsonWriter.WritePropertyName("expect");
            jsonWriter.WriteValue(Expect);

            jsonWriter.WritePropertyName("opencode");
            jsonWriter.WriteValue(OpenCode);
        }

        private int _lotId;
        /// <summary>
        /// 彩种ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        private string _expect;
        /// <summary>
        /// 期号
        /// </summary>
        public string Expect
        {
            get { return _expect; }
            set { _expect = value; }

        }

        private string _opencode;
        public string OpenCode
        {
            get { return _opencode; }
            set { _opencode = value; }

        }
    }
}
